//+------------------------------------------------------------------+
//|                                                         lse1.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
//extern double lotSize=0.1;
extern int cci_period=60;
extern int stoploss=520;
extern int takeprofit=250;
extern double risk=0.02;//percent


double cci(int index){
double d =  iCCI(Symbol(), 0, cci_period, PRICE_TYPICAL, index);
 return( d );
}

int is_buy(int check_tick){
 int i=0;
  if(
  cci(check_tick+1)<5 && 
  cci(check_tick+2)<cci(check_tick+3) && 
  cci(check_tick+1)<cci(check_tick+2) && 
  cci(check_tick+0)>cci(check_tick+1) && 
  Open[check_tick+2]>Close[check_tick+2] && 
  Open[check_tick+1]>Close[check_tick+1] && 
  Open[check_tick+0]<Close[check_tick+0] && 
  Open[check_tick+1]<Close[check_tick+0]){ i = 1;}else{

  if(cci(check_tick+1)>5 && cci(check_tick+2)>cci(check_tick+3) && 
     cci(check_tick+1)>cci(check_tick+2) && cci(check_tick+0)<cci(check_tick+1) && 
   Open[check_tick+2]<Close[check_tick+2] && Open[check_tick+1]<Close[check_tick+1] && 
   Open[check_tick+0]>Close[check_tick+0] && Open[check_tick+1]>Close[check_tick+0])i=-1;
   
  }
  
 return( i );
}


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   int ss = 0;
   double ls=1;//lotSize;// lot * stop loss = 1% of balance,
   ls = (AccountBalance( )*risk) / (stoploss);
   //if (ls>10)ls=10;
   //if(ls<0.01)ls=0.01;
   //ls=0.5;
   
   if (OrdersTotal()==0){
   ss = is_buy(1);
   switch(ss)
   {
   case 1:
    double ask = Ask;
    double sl = ask-stoploss*Point;
    double tp = ask+takeprofit*Point;
    OrderSend(Symbol(),OP_BUY,ls,ask,3,sl,tp);
    break;
   case -1:
    ask = Bid;
    sl = ask+stoploss*Point;
    tp = ask-takeprofit*Point;
    OrderSend(Symbol(),OP_SELL,ls,ask,3,sl,tp);
    }
  }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+